# $Revision: 1.28 $, $Date: 2006/11/07 22:23:36 $
Summary:	A LiveJournal client for GNOME
Summary(pl):	Klient LiveJournala dla GNOME
Name:		drivel
Version:	2.0.2
Release:	1
License:	GPL v2
Group:		Applications/Networking
Source0:	http://dl.sourceforge.net/drivel/%{name}-%{version}.tar.bz2
# Source0-md5:	b77d376946ab32f0f8992c5e0baf1f51
Patch0:		%{name}-desktop.patch
Patch1:		%{name}-debug.patch
URL:		http://www.dropline.net/drivel/
BuildRequires:	automake
BuildRequires:	curl-devel
BuildRequires:	gnome-vfs2-devel >= 2.6.0
BuildRequires:	gtk+2-devel >= 2:2.4.0
BuildRequires:	gtksourceview-devel >= 1.0.0
BuildRequires:	gtkspell-devel >= 1:2.0
BuildRequires:	libgnomeui-devel >= 2.0.0
BuildRequires:	pkgconfig
BuildRequires:	rhythmbox
BuildRequires:	scrollkeeper >= 0.3.5
Requires(post):	GConf2
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Drivel is an advanced LiveJournal client for the GNOME desktop. While
maintaining a full set of features, it had been designed with
usability in mind, and presents an elegant user interface.

%description -l pl
Drivel to zaawansowany klient LiveJournala dla rodowiska GNOME. Przy
zachowaniu penego zbioru moliwoci, zosta on zaprojektowany z myl
o uywalnoci. Prezentuje elegancki interfejs uytkownika.

%prep
%setup -q
#%patch0 -p1
%patch1 -p1

%build
install /usr/share/automake/config.* .
%configure \
	--disable-schemas-install
%{__make}


%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# duplicated with nb
rm -rf $RPM_BUILD_ROOT%{_datadir}/locale/no
rm -rf $RPM_BUILD_ROOT%{_datadir}/{application-registry,mime-info}

%find_lang %{name} --with-gnome

%clean
rm -r $RPM_BUILD_ROOT

%post
%gconf_schema_install

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README TODO
%attr(755,root,root) %{_bindir}/*
%{_pixmapsdir}/*
%{_desktopdir}/*.desktop
%{_sysconfdir}/gconf/schemas/*
%dir %{_datadir}/drivel
%dir %{_datadir}/drivel/glade
%dir %{_datadir}/drivel/languages
%{_datadir}/drivel/languages/livejournal.lang
%{_datadir}/drivel/glade/drivel.glade
%{_iconsdir}/gnome/48x48/mimetypes/gnome-mime-application-x-drivel.png
%{_datadir}/mime/packages/drivel.xml
%{_omf_dest_dir}/drivel

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: drivel.spec,v $
Revision 1.28  2006/11/07 22:23:36  glen
- do not list %{_desktopdir}/* -- dangerous, could list directories unexpectedly

Revision 1.27  2006/11/05 14:08:13  qboosh
- kill obsolete application-registry and mime-info files
- use _omf_dest_dir macro, missing dir

Revision 1.26  2005/12/15 00:38:29  patrys
- up to 2.0.2

Revision 1.25  2005/10/29 07:02:23  ankry
- kill duplicated no translation, rel. 4

Revision 1.24  2005/09/06 11:01:44  arekm
- disable single debug check on alpha

Revision 1.23  2005/09/06 07:28:21  arekm
- fix amd64

Revision 1.22  2005/06/20 15:03:07  aredridel
- up to 2.0.1

Revision 1.21  2005/06/06 04:44:11  aredridel
- up to 1.3.91

Revision 1.20  2005/06/01 01:14:22  aredridel
- add ipv6 proxy patch

Revision 1.19  2005/05/29 14:31:03  aredridel
- up to 1.3.90
- NFY (ipv6 proxy issues)

Revision 1.18  2005/05/25 12:32:52  paladine
- rel. 5 for fixed desktop patch

Revision 1.17  2005/05/18 07:06:23  ankry
- rel. 4 to rebuild with updated desktop patch

Revision 1.16  2005/05/13 19:41:36  ankry
- rel. 3 to rebuild with new libhowl

Revision 1.15  2005/01/06 19:44:44  qboosh
- more deps (including gtkspell-devel and rhythmbox which are optional)

Revision 1.14  2005/01/05 22:36:12  havner
- rel 2 for aspell 0.50 rebuild

Revision 1.13  2004/12/08 10:31:36  paladine
- updated to 1.2.3 STBR

Revision 1.12  2004/11/10 11:50:35  ankry
- no -> nb, rel. 2

Revision 1.11  2004/11/02 10:34:25  paladine
- updated to 1.2.2

Revision 1.10  2004/10/01 08:36:20  paladine
- updated to 1.2.1
- added desktop patch

Revision 1.9  2004/08/30 16:31:46  aredridel
- up to 1.2.0

Revision 1.8  2004/07/03 14:51:56  aredridel
- up to 1.0.2

Revision 1.7  2004/06/07 16:36:21  aredridel
- up to 1.0

Revision 1.6  2004/05/29 22:20:00  qboosh
- cleanup, missing dir, R(post) (probably BRs need update)

Revision 1.5  2004/05/29 18:25:56  aredridel
- whoops.

Revision 1.4  2004/05/29 18:23:24  aredridel
- up to 0.90.0

Revision 1.3  2004/01/13 14:15:58  deejay1
- updated to 0.9.3
- changed license to GPL v2

Revision 1.2  2003/11/01 10:08:50  qboosh
- pl, cleanups, removed COPYING from doc (just GPL), added AUTHORS

Revision 1.1  2003/11/01 03:46:56  aredridel
- added
